<template>
  <div class="gos-number">
    <span
      v-if="item.resourceNumber"
      class="block"
    >
      {{item.resourceNumber.slice(0, 1) + ' '}}
      {{item.resourceNumber.slice(1, 4) + ' '}}
      {{item.resourceNumber.slice(4, 6)}}
    </span>
    <span
      class="block"
      v-if="item.resourceNumber"
    >
      {{item.resourceNumber.slice(6)}}
    </span>
  </div>
</template>

<script>

export default {
  props: {
    item: {
      type: Object,
      default: () => {}
    }
  },
  computed: {
    createNumber() {
      return this.item.resourceNumber
    }
  }
}
</script>
<style scoped lang="scss">
  .gos-number{
    display: inline-flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    vertical-align: top;
    border: 1px solid $cornflower-craiola;
    border-radius: 3px;
    font-size: 13px;
    line-height: 15px;
    letter-spacing: 0.2px;
    color: #000000;
    text-transform: lowercase;
    font-variant: small-caps;
    background: #FFFFFF;
    .block{
      width: 72px;
      height: 24px;
      padding: 5px 6px 0 6px;
      vertical-align: top;
      text-align: left;
      &:last-child{
        width: 30px;
        padding: 7px 0 0 0;
        text-align: center;
        font-size: 11px;
        line-height: 13px;
        border-left: 1px solid $cornflower-craiola;
      }
    }
   /* .num{
      &:nth-child(1), &:nth-child(3), &:nth-child(4){
        font-size: 11px;
        line-height: 11px;
      }
      &:nth-child(1){
        width: 7px;
      }
      &:nth-child(2){
        margin: 0 8px;
        width: 24px;
        position: relative;
        top: 3px;
        font-size: 16px;
      }
      &:nth-child(3){
        margin-right: 7px;
        width: 20px;
      }
      &:nth-child(4){
        padding: 0 6px;
      }
    }*/
  }
</style>
